Package org.drinkless.tdlib

# Class TdApi.GroupCallParticipantVideoInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCallParticipantVideoInfo

Enclosing class:
  `TdApi`

public static class TdApi.GroupCallParticipantVideoInfo extends TdApi.Object
Contains information about a group call participant's video channel.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `endpointId`
  Video channel endpoint identifier.
  `boolean`
  `isPaused`
  True, if the video is paused.
  `TdApi.GroupCallVideoSourceGroup[]`
  `sourceGroups`
  List of synchronization source groups of the video.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCallParticipantVideoInfo()`
  Contains information about a group call participant's video channel.
  `GroupCallParticipantVideoInfo(TdApi.GroupCallVideoSourceGroup[] sourceGroups, String endpointId, boolean isPaused)`
  Contains information about a group call participant's video channel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### sourceGroups

    public TdApi.GroupCallVideoSourceGroup[] sourceGroups
    List of synchronization source groups of the video.

  - ### endpointId

    public String endpointId
    Video channel endpoint identifier.

  - ### isPaused

    public boolean isPaused
    True, if the video is paused. This flag needs to be ignored, if new video frames are received.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCallParticipantVideoInfo

    public GroupCallParticipantVideoInfo()
    Contains information about a group call participant's video channel.

  - ### GroupCallParticipantVideoInfo

    public GroupCallParticipantVideoInfo(TdApi.GroupCallVideoSourceGroup[] sourceGroups, String endpointId, boolean isPaused)
    Contains information about a group call participant's video channel.
    Parameters:
      `sourceGroups` - List of synchronization source groups of the video.
      `endpointId` - Video channel endpoint identifier.
      `isPaused` - True, if the video is paused. This flag needs to be ignored, if new video frames are received.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR